summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Williams <peterw@src.gnome.org>2000-06-29 18:44:26 +0000
committerPeter Williams <peterw@src.gnome.org>2000-06-29 18:44:26 +0000
commit7f1470bc522cae5a165da822480f20d116b8cdb9 (patch)
treedd3107c82f512ccf8f41deea176383f725eddb54
parent727730bc49bb6513283f16e08fa4d5b24bfb7703 (diff)
downloadgnome-common-unlabeled-1.41.8.tar.gz
svn path=/branches/unlabeled-1.41.8/; revision=1297
-rw-r--r--macros/autogen.sh20
1 files changed, 15 insertions, 5 deletions
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 18cfd60..a649be9 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -145,16 +145,26 @@ do
fi
fi
echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude
+ aclocal $aclocalinclude || {
+ echo
+ echo "**Error**: aclocal failed. This may mean that you have not"
+ echo "installed all of the packages you need, or you may need to"
+ echo "set ACLOCAL_FLAGS to include \"-I \$prefix/share/aclocal\""
+ echo "for the prefix where you installed the packages whose"
+ echo "macros were not found"
+ exit 1
+ }
+
if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
echo "Running autoheader..."
- autoheader
+ autoheader || { echo "**Error**: autoheader failed."; exit 1; }
fi
echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt
+ automake --add-missing --gnu $am_opt ||
+ { echo "**Error**: automake failed."; exit 1; }
echo "Running autoconf ..."
- autoconf
- )
+ autoconf || { echo "**Error**: autoconf failed."; exit 1; }
+ ) || exit 1
fi
done